- Qt 6.5
- Qt WebEngine
- QML Types
- QuotaRequest
- Qt 6.5.1 Reference Documentation

# QuotaRequest QML Type

Import Statement: | import QtWebEngine
Since: | QtWebEngine 1.7
Instantiates: | QWebEngineQuotaRequest

- List of all members, including inherited members

## Properties

- origin : url
- requestedSize : qint64

## Methods

- void accept()
- void reject()

## Detailed Description

Requesting host quota is no longer supported by Chromium.

The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525

See also WebEngineView::quotaRequested().

## Property Documentation

[read-only] origin : url

[read-only] requestedSize : qint64

## Method Documentation

void accept()

void reject()